# Assign role to user Assigns a role to a user, establishing their base permission set within the organization. Request: userId - ID of the user to assign the role to. roleId - ID of the role to assign. The role must be of type USER_ROLE. Response: userId - ID of the user the role was assigned to. roleId - ID of the role that was assigned. Endpoint: POST /api/v1/user/user-assign-user-role Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `userId` (string) Rule data fields - `roleId` (string) Rule data fields ## Response 200 fields (application/json): - `userId` (string) Rule data fields - `roleId` (string) Rule data fields ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)